bash syntax fixes

This commit is contained in:
2026-04-03 15:41:13 -04:00
parent d54c42045a
commit 7c5206e9da
3 changed files with 14 additions and 13 deletions

View File

@@ -2,18 +2,18 @@
set -eo pipefail
if [[ "$TEST_LIBRARY" == "none" ]]; then
if [ "$TEST_LIBRARY" == "none" ]; then
echo "[INFO] test-library input not set, skipping unit tests.";
exit 0;
fi
echo "[INFO] running unit tests";
if [[ "$TEST_LIBRARY" == "standard" ]]; then
if [ "$TEST_LIBRARY" == "standard" ]; then
if go test ./...; then
echo "[INFO] unit tests passed!";
exit 0;
else
if [[ "$TEST_FAIL" == "yes" ]]; then
if [ "$TEST_FAIL" == "yes" ]; then
echo "[FATAL] unit tests failed!";
exit 1;
else
@@ -22,12 +22,12 @@ if [[ "$TEST_LIBRARY" == "standard" ]]; then
fi
fi
if [[ "$TEST_LIBRARY" == "ginkgo" ]]; then
if [ "$TEST_LIBRARY" == "ginkgo" ]; then
if ginkgo ./...; then
echo "[INFO] unit tests passed!";
exit 0;
else
if [[ "$TEST_FAIL" == "yes" ]]; then
if [ "$TEST_FAIL" == "yes" ]; then
echo "[FATAL] unit tests failed!";
exit 1;
else